package com.example.demo.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/")
public class BaseController {

    @GetMapping("/")
    public void types(){

        byte byteDemo = 127;
        short shortDemo = 32767;

        int intDemo = 2147483647;
        Integer intDemo2 = 2147483647;

        long longDemo = 9223372036854775807L;

        float floatDemo = 0.0f;
        double doubleDemo = 0.0d;

        boolean booleanDemo = true;

        char charDemo = '\u0058';

        List<String> test ;

        System.out.print(byteDemo);
        System.out.print("\r\n");
        System.out.print(shortDemo);
        System.out.print("\r\n");
        System.out.print(intDemo);
        System.out.print("\r\n");
        System.out.print(intDemo2);
        System.out.print("\r\n");
        System.out.print(longDemo);
        System.out.print("\r\n");
        System.out.print(floatDemo);
        System.out.print("\r\n");
        System.out.print(doubleDemo);
        System.out.print("\r\n");
        System.out.print(booleanDemo);
        System.out.print("\r\n");
        System.out.print(charDemo);
    }


    @GetMapping("/if")
    public void ifcase(){
        int intDemo = 1080;

        //选择
        if(intDemo > 1000){
            System.out.print( "数值大于1000");
        }else{
            System.out.print( "数值不大于1000");
        }
        //选择
        switch (intDemo){
            case 1000:
                System.out.print( "1000");
            case 2000:
                System.out.print( "2000");
            case 3000:
                System.out.print( "3000");
            default:
                System.out.print( "其他");
        }
        //选择，等价if
        String demo3 = intDemo > 1000?"数值大于1000":"数值不大于1000";
        System.out.print(demo3);
    }


    @GetMapping("/loop")
    public void loopcase(){
        //计数循环
        for (int i = 0 ;i < 10 ; i++){
            System.out.print(i);
            if(i == 6){
                System.out.print("这次不输出换行");
                continue; //执行下一次循环
            }
            if(i == 9){
                System.out.print("这次不输出换行");
                break; //跳出循环
            }
            System.out.print("\r\n");
        }

        int h = 1;
        //条件循环
        while (h < 10){
            System.out.print(h);
            System.out.print("\r\n");
            h++;
        }

        int w = 10;
        do {
            w++;
            System.out.print(w);
            System.out.print("\r\n");
        }while (w < 20);


    }

}
