package com.example.demo.tool;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.nio.charset.StandardCharsets;

public class Server {
    ServerSocket serverSocket;
    Socket socket;
    public InputStream inputStream;
    public OutputStream outputStream;

    public Server(int port){
        try{
            serverSocket = new ServerSocket(port);
            while (true){
                socket = serverSocket.accept();
                inputStream = socket.getInputStream();
                outputStream = socket.getOutputStream();
                String line = System.getProperty("line.separator");
                String out = "服务器信息：" + line + serverSocket.getInetAddress().getHostName()
                        + line + serverSocket.getLocalPort();
                outputStream.write(out.getBytes(StandardCharsets.UTF_8));
            }

        } catch (IOException exception) {
            System.err.print(exception.toString());
        }

    }
}
